%define aurox_ver 11.1
%define rel 3

%define DRV_VERSION 1.0d1

#%define kversion 2.6.14
#%define krelver 11.1.aur.2

Summary: Linux driver for USB DSL modems
Name: ueagle-atm
Version: 1.0
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Base
Source0: ueagle-data-%{version}.tar.gz
Source1: sagem_install
Source2: sagem-pppoa.in
Source3: hotplug
URL: http://atm.eagle-usb.org
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: adiusbadsl, eagle, eagle-usb

%description
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

%package tools
Summary: Utilities for the Eagle USB DSL modems
Group: System Environment/Base
Requires: ppp, hotplug
Requires: system-config-adsl
Requires: ueagle-atm-firmware
Obsoletes: eagle-usb-tools

%description tools
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

This package contains tools needed to use the Sagem modems in Aurox 
installations.

%package firmware
Summary: DSP microcode for the Eagle USB DSL modems
Group: System Environment/Base
License: Distributable
Requires: hotplug >= 3:2004_04_01-5
Obsoletes: eagle-usb-dsp

%description firmware
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.

This package contains the microcode (firmware) that Eagle-based USB modems need.


%prep
%setup -q -n ueagle-data-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware/ueagle-atm
for file in *.bin *.fw; do
  install -m644 $file $RPM_BUILD_ROOT/lib/firmware/ueagle-atm/$file
done
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem_install
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem/sagem-pppoa.in
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/system-config-adsl/sagem/hotplug

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/linux-%{kversion}-%{krelver}

%files tools
%defattr(0644,root,root)
%{_datadir}/system-config-adsl/sagem/sagem-pppoa.in
%attr(0755,root,root) %{_datadir}/system-config-adsl/sagem_install
%attr(0755,root,root) %{_datadir}/system-config-adsl/sagem/hotplug

%files firmware
%defattr(0644,root,root)
%dir /lib/firmware/ueagle-atm
/lib/firmware/ueagle-atm/*

%changelog
* Thu Feb 02 2006 Karol Kozimor <kkozimor@aurox.org> 1.0-11.1.aur.1
- initial release, replace eagle-usb
